<?php
namespace ERROPiX\AIOW;

// don't load directly
if ( ! defined( 'ABSPATH' ) ) die( '-1' );

/**
 * CSS Helper
*/
class CSS {
	static $styles;
	
	static function load() {
		self::$styles = array();
		add_action( 'wp_footer', __class__.'::output' );
		add_action( 'wp_enqueue_scripts', __class__.'::enqueue' );
	}
	
	static function exists( $id ) {
		return isset(self::$styles[$id]);
	}
	
	static function enqueue( $id ) {
		wp_enqueue_style( 'js_composer_front' );
	}
	
	static function add( $css, $id='default' ) {
		if( $css ) {
			if( !self::exists( $id ) ) {
				self::$styles[$id] = '';
			}
			self::$styles[$id] .= $css;
		}
	}
	
	static function output() {
		$css = implode( "\n", self::$styles );
		if( $css ) {
			echo '<style type="text/css">'. $css .'</style>';
		}
	}
}